org.apache.ode.bpel.pmapi

## Interface CommunicationType.Exchange

- All Superinterfaces:
    org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    CommunicationTypeImpl.ExchangeImpl
  Enclosing interface:
    CommunicationType

      public static interface CommunicationType.Exchange
      extends org.apache.xmlbeans.XmlObject

  An XML exchange(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `CommunicationType.Exchange.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FailureType` | `addNewFailure()` Appends and returns a new empty "failure" element
    `FaultType` | `addNewFault()` Appends and returns a new empty "fault" element
    `org.apache.xmlbeans.XmlObject` | `addNewIn()` Appends and returns a new empty "in" element
    `org.apache.xmlbeans.XmlObject` | `addNewOut()` Appends and returns a new empty "out" element
    `java.util.Calendar` | `getCreateTime()` Gets the "createTime" element
    `FailureType` | `getFailure()` Gets the "failure" element
    `FaultType` | `getFault()` Gets the "fault" element
    `org.apache.xmlbeans.XmlObject` | `getIn()` Gets the "in" element
    `java.lang.String` | `getOperation()` Gets the "operation" element
    `org.apache.xmlbeans.XmlObject` | `getOut()` Gets the "out" element
    `javax.xml.namespace.QName` | `getService()` Gets the "service" element
    `ExchangeType.Enum` | `getType()` Gets the "type" element
    `boolean` | `isSetFailure()` True if has "failure" element
    `boolean` | `isSetFault()` True if has "fault" element
    `boolean` | `isSetOut()` True if has "out" element
    `void` | `setCreateTime(java.util.Calendar createTime)` Sets the "createTime" element
    `void` | `setFailure(FailureType failure)` Sets the "failure" element
    `void` | `setFault(FaultType fault)` Sets the "fault" element
    `void` | `setIn(org.apache.xmlbeans.XmlObject in)` Sets the "in" element
    `void` | `setOperation(java.lang.String operation)` Sets the "operation" element
    `void` | `setOut(org.apache.xmlbeans.XmlObject out)` Sets the "out" element
    `void` | `setService(javax.xml.namespace.QName service)` Sets the "service" element
    `void` | `setType(ExchangeType.Enum type)` Sets the "type" element
    `void` | `unsetFailure()` Unsets the "failure" element
    `void` | `unsetFault()` Unsets the "fault" element
    `void` | `unsetOut()` Unsets the "out" element
    `org.apache.xmlbeans.XmlDateTime` | `xgetCreateTime()` Gets (as xml) the "createTime" element
    `org.apache.xmlbeans.XmlString` | `xgetOperation()` Gets (as xml) the "operation" element
    `org.apache.xmlbeans.XmlQName` | `xgetService()` Gets (as xml) the "service" element
    `ExchangeType` | `xgetType()` Gets (as xml) the "type" element
    `void` | `xsetCreateTime(org.apache.xmlbeans.XmlDateTime createTime)` Sets (as xml) the "createTime" element
    `void` | `xsetOperation(org.apache.xmlbeans.XmlString operation)` Sets (as xml) the "operation" element
    `void` | `xsetService(org.apache.xmlbeans.XmlQName service)` Sets (as xml) the "service" element
    `void` | `xsetType(ExchangeType type)` Sets (as xml) the "type" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getType

          ExchangeType.Enum getType()

      Gets the "type" element

    - #### xgetType

          ExchangeType xgetType()

      Gets (as xml) the "type" element

    - #### setType

          void setType(ExchangeType.Enum type)

      Sets the "type" element

    - #### xsetType

          void xsetType(ExchangeType type)

      Sets (as xml) the "type" element

    - #### getCreateTime

          java.util.Calendar getCreateTime()

      Gets the "createTime" element

    - #### xgetCreateTime

          org.apache.xmlbeans.XmlDateTime xgetCreateTime()

      Gets (as xml) the "createTime" element

    - #### setCreateTime

          void setCreateTime(java.util.Calendar createTime)

      Sets the "createTime" element

    - #### xsetCreateTime

          void xsetCreateTime(org.apache.xmlbeans.XmlDateTime createTime)

      Sets (as xml) the "createTime" element

    - #### getService

          javax.xml.namespace.QName getService()

      Gets the "service" element

    - #### xgetService

          org.apache.xmlbeans.XmlQName xgetService()

      Gets (as xml) the "service" element

    - #### setService

          void setService(javax.xml.namespace.QName service)

      Sets the "service" element

    - #### xsetService

          void xsetService(org.apache.xmlbeans.XmlQName service)

      Sets (as xml) the "service" element

    - #### getOperation

          java.lang.String getOperation()

      Gets the "operation" element

    - #### xgetOperation

          org.apache.xmlbeans.XmlString xgetOperation()

      Gets (as xml) the "operation" element

    - #### setOperation

          void setOperation(java.lang.String operation)

      Sets the "operation" element

    - #### xsetOperation

          void xsetOperation(org.apache.xmlbeans.XmlString operation)

      Sets (as xml) the "operation" element

    - #### getIn

          org.apache.xmlbeans.XmlObject getIn()

      Gets the "in" element

    - #### setIn

          void setIn(org.apache.xmlbeans.XmlObject in)

      Sets the "in" element

    - #### addNewIn

          org.apache.xmlbeans.XmlObject addNewIn()

      Appends and returns a new empty "in" element

    - #### getOut

          org.apache.xmlbeans.XmlObject getOut()

      Gets the "out" element

    - #### isSetOut

          boolean isSetOut()

      True if has "out" element

    - #### setOut

          void setOut(org.apache.xmlbeans.XmlObject out)

      Sets the "out" element

    - #### addNewOut

          org.apache.xmlbeans.XmlObject addNewOut()

      Appends and returns a new empty "out" element

    - #### unsetOut

          void unsetOut()

      Unsets the "out" element

    - #### getFault

          FaultType getFault()

      Gets the "fault" element

    - #### isSetFault

          boolean isSetFault()

      True if has "fault" element

    - #### setFault

          void setFault(FaultType fault)

      Sets the "fault" element

    - #### addNewFault

          FaultType addNewFault()

      Appends and returns a new empty "fault" element

    - #### unsetFault

          void unsetFault()

      Unsets the "fault" element

    - #### getFailure

          FailureType getFailure()

      Gets the "failure" element

    - #### isSetFailure

          boolean isSetFailure()

      True if has "failure" element

    - #### setFailure

          void setFailure(FailureType failure)

      Sets the "failure" element

    - #### addNewFailure

          FailureType addNewFailure()

      Appends and returns a new empty "failure" element

    - #### unsetFailure

          void unsetFailure()

      Unsets the "failure" element